import { createRouter, createWebHashHistory } from 'vue-router'
import Program from "../views/Program.vue"

const routes = [
  {
    path: '/',
    name: 'Program',
    component: Program
  },
  {
    path: '/Channel',
    name: 'Channel',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/Channel.vue')
  },
  {
    path: '/heightlight',
    name: 'Heightlight',
    component: () => import(/* webpackChunkName: "about" */ '../views/Heightlight.vue')
  },
  {
    path: '/realData',
    name: 'RealData',
    component: () => import(/* webpackChunkName: "about" */ '../views/RealData.vue')
  },
  {
    path: "/liveChannel",
    name: 'LiveChannel',
    component: () => import(/* webpackChunkName: "about" */ '../views/LiveChannel.vue')
  }
]

const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes
})

export default router
